Package home | Report new bug | New search | Development Roadmap Status: Open | Feedback | All | Closed Since Version 1.10.12

Bug #8519 go-pear.phar notice error
Submitted: 2006-08-20 14:04 UTC
From: farell Assigned: pajoye
Status: Closed Package: PEAR (version 1.4.11)
PHP Version: 5.1.4 OS: Windows xp
Roadmaps: (Not assigned)    
Subscription  


 [2006-08-20 14:04 UTC] farell (Laurent Laville)
Description: ------------ while i'm trying to install a local copy of PEAR with go-pear.phar distributed with PHP 5.1.4, i notice an error during process. Here is my process-steps (in case it could help) : 1. in local directory (where pear should be installed) run command: php -f go-pear.phar 2. at question, i've answered : local Are you installing a system-wide PEAR or a local copy? (system|local) [system] : local 3. changed contents of entries 7. Name of configuration file 8. Path to CLI php.exe 4. After warning message "WARNING! The include_path defined in the currently used php.ini does not contain the PEAR PHP directory you just specified:" i got the notice error below. regards Laurent Actual result: -------------- Notice: Use of undefined constant WINDOWS - assumed 'WINDOWS' in phar://go-pear.phar/PEAR/Start.php on line 333

Comments

 [2006-09-02 20:51 UTC] pajoye (Pierre-Alain Joye)
This bug has been fixed in CVS. If this was a documentation problem, the fix will appear on pear.php.net by the end of next Sunday (CET). If this was a problem with the pear.php.net website, the change should be live shortly. Otherwise, the fix will appear in the package's next release. Thank you for the report and for helping us make PEAR better.